%define upstream_name    Test-Mojibake
%define upstream_version 1.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Check your source for encoding misbehavior
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(bytes)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Many modern text editors automatically save files using UTF-8 codification,
however, the perl manpage interpreter does not expects it _by default_.
Whereas this does not represent a big deal on (most) backend-oriented
programs, Web framework (http://catalyst.perl.org/,
https://mojolicio.us/) based applications will suffer of so-called
https://en.wikipedia.org/wiki/Mojibake (lit. "unintelligible sequence of
characters").

Even worse: if an editor saves BOM (Byte Order Mark, 'U+FEFF' character in
Unicode) at the start of the script with executable bit set (on Unix
systems), it won't execute at all, due to shebang corruption.

Avoiding codification problems is quite simple:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_bindir}/scan_mojibake
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.300.0-5.mga9
+ Revision: 1810354
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.300.0-4.mga8
+ Revision: 1506436
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.300.0-3.mga7
+ Revision: 1286677
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.300.0-2.mga7
+ Revision: 1166831
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 1.300.0-1.mga7
+ Revision: 1141488
- update to 1.3
- update to 1.3

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-3.mga6
+ Revision: 1034389
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.100.0-2.mga6
+ Revision: 969721
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 1.100.0-1.mga6
+ Revision: 873637
- update to 1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 744555
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 686494
- Mageia 5 Mass Rebuild

* Tue May 20 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 624529
- update to 1.0

* Sun Feb 09 2014 sander85 <sander85> 0.900.0-1.mga5
+ Revision: 587672
- update to 0.9

* Mon Oct 21 2013 umeabot <umeabot> 0.800.0-2.mga4
+ Revision: 537459
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.800.0-1.mga4
+ Revision: 487070
- update to 0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 373646
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 02 2012 jquelin <jquelin> 0.700.0-1.mga3
+ Revision: 302124
- update to 0.7

* Wed Jul 04 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 267510
- update to 0.4
- imported package perl-Test-Mojibake


* Fri Aug 26 2011 cpan2dist 0.3-1mga
- initial mageia release, generated with cpan2dist
